Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charva.awt
Class GridBagLayout

    java.lang.Object
      charva.awt.GridBagLayout

All Implemented Interfaces:
  LayoutManager, LayoutManager2

public class GridBagLayout
extends java.lang.Object
implements LayoutManager2

This is an approximation of the AWT GridBagLayout layout manager. See the documentation of the AWT GridBagLayout for details.

Field Summary
`double[]` | `columnWeights` This field is not used in the CHARVA package but is present to allow compile-time compatibility with AWT.
`int[]` | `columnWidths` This field holds the overrides to the column minimum widths.
`int[]` | `rowHeights` This field holds the overrides to the row minimum heights.
`double[]` | `rowWeights` This field is not used in the CHARVA package but is present to allow compile-time compatibility with AWT.

Constructor Summary
`GridBagLayout()`

Method Summary
`void` | `addLayoutComponent(Component component_, java.lang.Object constraint_)`
`void` | `doLayout(Container container_)` Set the positions of the contained components.
`void` | `invalidateLayout(Container target_)` Invalidates the layout, indicating that if the layout manager has cached information it should be discarded.
`Dimension` | `minimumSize(Container container_)` Calculate the geometry for the specified list of Components, and return the size of the rectangle that encloses all the Components.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### columnWidths

    public int[] columnWidths

  This field holds the overrides to the column minimum widths.

### rowHeights

    public int[] rowHeights

  This field holds the overrides to the row minimum heights.

### columnWeights

    public double[] columnWeights

  This field is not used in the CHARVA package but is present to allow compile-time compatibility with AWT.

### rowWeights

    public double[] rowWeights

  This field is not used in the CHARVA package but is present to allow compile-time compatibility with AWT.

Constructor Detail

### GridBagLayout

    public GridBagLayout()

Method Detail

### minimumSize

    public Dimension minimumSize(Container container_)

  Calculate the geometry for the specified list of Components, and return the size of the rectangle that encloses all the Components.

  Specified by:
    `minimumSize` in interface `LayoutManager`

### doLayout

    public void doLayout(Container container_)

  Set the positions of the contained components.

  Specified by:
    `doLayout` in interface `LayoutManager`

### addLayoutComponent

    public void addLayoutComponent(Component component_,
                                   java.lang.Object constraint_)

  Specified by:
    `addLayoutComponent` in interface `LayoutManager2`

### invalidateLayout

    public void invalidateLayout(Container target_)

  Invalidates the layout, indicating that if the layout manager has cached information it should be discarded.

  Specified by:
    `invalidateLayout` in interface `LayoutManager2`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD